| Home | Libraries | People | FAQ | More

##### static_url_base::empty

(Inherited from `url_view_base`)

Return true if the url is empty.

###### Synopsis

    bool
    empty() const;

###### Description

The empty string matches the relative-ref grammar.

###### Example

    assert( url_view( "" ).empty() );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    relative-ref  = relative-part [ "?" query ] [ "#" fragment ]

    relative-part = "//" authority path-abempty
                  / path-absolute
                  / path-noscheme
                  / path-empty

###### Specification

- 4.2. Relative Reference (rfc3986)